#ifndef _PAD_H_
#define _PAD_H_
#pragma ident "@(#)pad.h	1.1 12/12/96 Pad"
// Dec 1996
// Copyright 1996 SFBellenot All rights reserved
// pad.h
// These routines make the lower left corner (0,0) as God intended.

struct Pad;

void PadLine ( Pad* p, int x1, int y1, int x2, int y2 );
void PadRectangle ( Pad* p, int x1, int y1, int x2, int y2 );
void PadFillRectangle ( Pad* p, int x1, int y1, int x2, int y2 );
void PadPolygon ( Pad* p, int n, int* v );
void PadFillPolygon ( Pad* p, int n, int* v );
void PadCircle ( Pad* p, int x1, int y1, int radius );
void PadText ( Pad* p, int x1, int y1, char* string, int strlen );
void PadFgColor ( Pad* p, XColor* c );
XColor* PadGetColor( Pad* p, char* ColorName );
void PadClear ( Pad* p );
void PadFlush ( Pad* p );
void PadLeftShift ( Pad* p, int x );
int PadHeight ( Pad* p );
int PadWidth ( Pad* p );

#endif
